#!/bin/bash
+check_vorbis_programs()
+{
+ command -v flac > /dev/null \
+ || errlog "command flac not found" \
+ || return $?
+ command -v metaflac > /dev/null \
+ || errlog "command metaflac not found" \
+ || return $?
+ command -v oggenc > /dev/null \
+ || errlog "command oggenc not found" \
+ || return $?
+ command -v vorbiscomment > /dev/null \
+ || errlog "command vorbiscomment not found" \
+ || return $?
+ command -v parallel > /dev/null \
+ || errlog "command parallel not found" \
+ || return $?
+}
+
read_flac_to_ogg_tags()
{
local inputfile="$1"
flac_to_vorbis "{}"
}
-check_vorbis_programs()
-{
- command -v flac > /dev/null \
- || errlog "command flac not found" \
- || return $?
- command -v metaflac > /dev/null \
- || errlog "command metaflac not found" \
- || return $?
- command -v oggenc > /dev/null \
- || errlog "command oggenc not found" \
- || return $?
- command -v vorbiscomment > /dev/null \
- || errlog "command vorbiscomment not found" \
- || return $?
- command -v parallel > /dev/null \
- || errlog "command parallel not found" \
- || return $?
-}
-
execute()
{
local workdir="$1"